## smalleiffel 1.8.0.78

=== Makefile ===
#
# Because many users are used to type 'make' in order to install
# a software.
#
./bin/compile: ./bin_c/compile.make
	./misc/INSTALL.SH

## smalleiffel 1.3.0.82-1

=== debian/changelog ===
smalleiffel (1.3.0.82-1) unstable; urgency=low

  * Removed my HTML class documentation, since the short tool can now
    produce HTML output, and substituted HTML pages generated with 
    the aid of a shell script (debian/selib2html).
  * Moved back to main distribution, since all source code is now included.
    (Note that this build still generates from the distributed C code
    rather than from the Eiffel code.)
  * New upstream release, as the GNU Eiffel Compiler.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sun, 18 Jan 1998 20:29:02 +0000

smalleiffel (1.2-7) unstable; urgency=low

  * Changed default directory in intermediate C code from
    /usr/local/logiciel/SmallEiffel to /usr/lib/smalleiffel; this should
    obviate the need to define the SmallEiffel environment variable.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Sat, 29 Nov 1997 21:26:41 +0000

smalleiffel (1.2-6) unstable; urgency=low

  * Re-uploaded original source - the one on the archive was out of date
  * This time I really added debian.BUGS.
  * Corrected omission of compile from the SmallEiffel manual page

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Fri, 28 Nov 1997 23:12:39 +0000

smalleiffel (1.2-5) unstable; urgency=low

  * Moved build instructions from binary-indep to binary; Fixes bug#15327.
  * Added to /usr/doc/smalleiffel: debian.BUGS and POINTER.hint

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu,  6 Nov 1997 21:17:42 +0000

smalleiffel (1.2-4) unstable; urgency=low

  * Moved to non-free because of licence inconsistencies.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Wed,  5 Nov 1997 22:52:41 +0000

smalleiffel (1.2-3) unstable; urgency=low

  * Updated Eiffel FAQ to match upstream version
  * Removed file bin_c/compile_to_c52.c left over from upstream release -0.84
  * Cured (I hope) various package configuration errors:
    put upstream version -0.83 in smalleiffel-1.2.orig.tar.gz
    removed .tmp directory (where did that come from?)
    corrected Depends line in debian/control
    Fixes bugs: #14072, #14073, #14074 & #14076

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 23 Oct 1997 00:37:11 +0100

smalleiffel (1.2-2) unstable; urgency=low

  * Updated manual pages
  * Corrected HTML links in the documentation

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Mon, 13 Oct 1997 17:21:59 +0100

smalleiffel (1.2-1) unstable; urgency=low

  * Added -html mode for 'short'
  * Added html documentation for 'short'
  * New upstream version -0.83, containing 'short' command

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Tue, 30 Sep 1997 15:50:06 +0100

smalleiffel (1.1-1) unstable; urgency=low

  * New upstream version -0.84

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 28 Aug 1997 16:38:00 +0100

smalleiffel (1.0-1) unstable; urgency=low

  * Edited files in man directory for English translation errors
  * Added wrapper script and a menu entry to call it
  * Moved functionality of upstream installation scripts into debian/rules
  * Created HTML documentation based on upstream documentation
  * Changed C_ARRAY to NATIVE_ARRAY in test suite
  * Initial release, based on upstream version -0.85.

 -- Oliver Elphick <Oliver.Elphick@lfix.co.uk>  Thu, 31 Jul 1997 15:20:36 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Oliver.Elphick@lfix.co.uk"
End:

=== debian/control ===
Source: smalleiffel
Section: devel
Priority: extra
Maintainer: Oliver Elphick <Oliver.Elphick@lfix.co.uk>
Standards-Version: 2.1.2.2

Package: smalleiffel
Architecture: i386
Depends: gcc, ${shlibs:Depends}
Description: The GNU Eiffel Compiler
 SmallEiffel is a compiler for the Eiffel language, which is a pure
 object-oriented language providing strong type-checking and based on
 the concept of 'design by contract'.  It allows multiple inheritance
 and does it well.
 .
 Design-by-contract means that a class guarantees that certain conditions
 will always hold, and that a routine guarantees certain results
 given certain specified inputs.  The rules for inheritance mean
 that contracts can be relied on even when classes are reused through
 inheritance.
 .
 The Eiffel language is described and defined in the book "Eiffel: The
 Language" by Bertrand Meyer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

DESTDIR=debian/tmp
SmallEiffel=/usr/lib/smalleiffel
package=smalleiffel

build:
	$(checkdir)
	
	cd bin_c ;\
	for fmake in *.make; \
	do \
		set -e; \
		chmod a+x $$fmake && \
		echo Running $$fmake && \
		./$$fmake; \
	done

	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f bin/*
	-rm -f bin_c/*.o
	-cd bin_c && rm -f clean compile compile_to_c compile_to_jvm \
	      finder pretty print_jvm_class short

binary-indep:	checkroot build
	$(checkdir)
	echo "There is no binary-independent section of smalleiffel"

binary-arch:	checkroot build
	$(checkdir)
	for fmake in bin_c/*.make; \
	do \
		set -e; \
		cmd=`basename $$fmake .make` && \
		cp  bin_c/$$cmd $(DESTDIR)$(SmallEiffel)/bin/$$cmd; \
	done
	strip $(DESTDIR)$(SmallEiffel)/bin/*
	cp debian/smalleiffel.sh $(DESTDIR)/usr/bin

	find lib_rand lib_show lib_std misc man short sys -print | \
	   cpio -pdum $(DESTDIR)$(SmallEiffel)
	cp debian/menu_entry $(DESTDIR)/usr/lib/menu
	mv $(DESTDIR)$(SmallEiffel)/misc/[HNS]* $(DESTDIR)/usr/doc/smalleiffel
	-cd $(DESTDIR)$(SmallEiffel)/misc && rm [A-Z]*
	-cd $(DESTDIR)$(SmallEiffel)/sys &&\
	   rm *Amiga *DOS *Macintosh *OS2 *VMS *Windows
	mv $(DESTDIR)$(SmallEiffel)/sys/READ_ME $(DESTDIR)/usr/doc/smalleiffel/README.sys
	mv $(DESTDIR)$(SmallEiffel)/lib_rand/READ_ME $(DESTDIR)/usr/doc/smalleiffel/README.lib_rand
	mv $(DESTDIR)$(SmallEiffel)/lib_show/external/READ_ME $(DESTDIR)/usr/doc/smalleiffel/README.lib_show.external
	mv $(DESTDIR)$(SmallEiffel)/lib_show/cecil/READ_ME $(DESTDIR)/usr/doc/smalleiffel/README.lib_show.cecil
	cp READ_ME $(DESTDIR)/usr/doc/smalleiffel
	echo Setting system name.
	/bin/rm -f $(DESTDIR)$(SmallEiffel)/sys/system.se
	echo "UNIX" > $(DESTDIR)$(SmallEiffel)/sys/system.se
	echo Writing default $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	/bin/rm -f $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	echo "./"  >  $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	echo "${SmallEiffel}/lib_std/"  >> $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	echo "${SmallEiffel}/lib_rand/" >> $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	echo -n "${SmallEiffel}/lib_show/" >> $(DESTDIR)$(SmallEiffel)/sys/loadpath.UNIX
	cp debian/BUGS.Debian $(DESTDIR)/usr/doc/smalleiffel
	install -m 755 debian/selib2html $(DESTDIR)$(SmallEiffel)/bin
	cp debian/dwww-index $(DESTDIR)/usr/doc/smalleiffel/.dwww-index
	cp -r debian/html $(DESTDIR)/usr/doc/smalleiffel/html
	cd $(DESTDIR)/usr/doc/smalleiffel/html && \
	    uudecode *uu && rm *uu
	cp GNU_LICENSE $(DESTDIR)/usr/doc/smalleiffel/copyright
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

makedirs:
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		makedirs binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
ftp.loria.fr	/pub/loria/genielog/SmallEiffel	smalleiffel-*.tar.gz	debian	uupdate

## smalleiffel 1.15.0.74beta18

=== Makefile ===
#
# Because many Unix users are used to type 'make' in order to install
# a software.
#
all : 
	gcc -o install install.c
	./install -interactive
	rm -f ./install

automatic : ./bin_c/compile_to_c.h
	gcc -o install install.c
	./install
	rm -f ./install

elate : ./bin_c/compile_to_c.h
	vpcc -o install install.c
	./install -interactive
	rm -f ./install

openvms : [bin_c]compile_to_c.h
	cc/warning=disable=(embedcomment,longextern) install
	link/exe=install
	mcr install -debug -interactive
	delete install;
